# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# feature_suites - definitions and configurations of AccelerateWP feature suites

from .suites import (
    ALL_SUITES,
    SUPPORTED_SUITES,
    PremiumSuite,
    AWPSuite,
    CDNSuite,
    CDNSuitePro
)
from .configurations import (
    any_suite_allowed_on_server,
    get_suites_allowed_path,
    get_admin_suites_config,
    write_suites_allowed,
    is_suite_allowed_for_user,
    extract_features,
    is_module_allowed_for_user,
    get_allowed_modules,
    get_allowed_suites,
    get_visible_modules,
    get_admin_config_permissions,
    get_admin_config_directory,
    get_allowed_features_dict,
    sync_allowed_configs
)
